// 001 u_firedac_connection_by_code.pas
// 06 dec 2015

// -- (C) Felix John COLIBRI 2015
// -- documentation: http://www.felix-colibri.com

unit u_firedac_connection_by_code;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, uADStanIntf, uADStanOption, uADStanError,
  uADGUIxIntf, uADPhysIntf, uADStanDef, uADStanPool, uADStanAsync,
  uADPhysManager, uADPhysIB, DB, uADCompClient, Grids, DBGrids,
  uADStanParam, uADDatSManager, uADDAptIntf, uADDAptManager, uADCompDataSet,
  uADGUIxFormsWait, uADCompGUIx;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    exit_: TButton;
    clear_: TButton;
    fd_phy_ib_driver_link_: TButton;
    fd_connection_: TButton;
    Panel3: TPanel;
    Memo1: TMemo;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    ADConnection1: TADConnection;
    ADPhysIBDriverLink1: TADPhysIBDriverLink;
    ADQuery1: TADQuery;
    ADGUIxWaitCursor1: TADGUIxWaitCursor;
    procedure exit_Click(Sender: TObject);
    procedure clear_Click(Sender: TObject);
    procedure fd_phy_ib_driver_link_Click(Sender: TObject);
    procedure fd_connection_Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

  implementation

    {$R *.dfm}

  procedure display(p_text: string);
    begin
      Form1.Memo1.Lines.Add(p_text);
    end; // display


    procedure TForm1.exit_Click(Sender: TObject);
      begin
        Close;
      end;

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        Memo1.Lines.Clear;
      end; // clear_Click

    procedure TForm1.fd_phy_ib_driver_link_Click(Sender: TObject);
      begin
        With ADPhysIBDriverLink1 Do
        Begin
          // BaseDriverId:= 'IB'; ReadOnly
          DriverId:= 'FB25';
          VendorHome := 'C:\Program Files\Firebird\Firebird_2_5';
          VendorLib := 'fbclient.dll';
        End; // with ADPhysIBDriverLink1
      end; // fd_phy_ib_driver_link_Click

    procedure TForm1.fd_connection_Click(Sender: TObject);
      begin
        With AdConnection1 Do
        Begin
          Close;
          DriverName:= 'FB25';

          With Params Do
          Begin
            Add('Server=localhost');

            Add('Database=C:\programs\us\db\firedac\_data_fb_25\MASTAPP_D6_REGENERATED.FDB');

            Add('User_Name=SYSDBA');
            Add('Password=masterkey');
          End; // with Params do

          LoginPrompt:= False;

          Open;
        End; // with AdConnection1

        with AdQuery1 do
        begin
          Close;
          Sql.Text:= 'SELECT * FROM Customer';
          Open;
        end;
      end; // fd_connection_Click

end.
